Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.beanmanagers
Interface SenderBeanMgr

All Superinterfaces:
  RMBeanManager

All Known Implementing Classes:
  InMemorySenderBeanMgr

public interface SenderBeanMgr
extends RMBeanManager

Used to manage Sender beans.

Method Summary
`boolean` | `delete(java.lang.String MessageId)`
`java.util.List` | `find(SenderBean bean)`
`java.util.List` | `find(java.lang.String internalSequenceID)`
`SenderBean` | `findUnique(SenderBean bean)`
`SenderBean` | `getNextMsgToSend(java.lang.String sequenceId)`
`boolean` | `insert(SenderBean bean)`
`SenderBean` | `retrieve(java.lang.String MessageId)`
`SenderBean` | `retrieveFromMessageRefKey(java.lang.String messageContextRefKey)` Deprecated.
`boolean` | `update(SenderBean bean)`

Method Detail

### delete

    public boolean delete(java.lang.String MessageId)
                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### retrieve

    public SenderBean retrieve(java.lang.String MessageId)
                        throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### insert

    public boolean insert(SenderBean bean)
                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### find

    public java.util.List find(SenderBean bean)
                        throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### find

    public java.util.List find(java.lang.String internalSequenceID)
                        throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findUnique

    public SenderBean findUnique(SenderBean bean)
                          throws SandeshaException

  Throws:
    `SandeshaException`

### getNextMsgToSend

    public SenderBean getNextMsgToSend(java.lang.String sequenceId)
                                throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### update

    public boolean update(SenderBean bean)
                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### retrieveFromMessageRefKey

    public SenderBean retrieveFromMessageRefKey(java.lang.String messageContextRefKey)

  Deprecated.

  Parameters:
    `messageContextRefKey` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.